
Foreman - Support #9091

Import Puppet Environments

01/23/2015 07:33 AM - Taner Tasar

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Smart Proxy   

Target version:    

Triaged:  Found in Releases: 1.7.1

Fixed in Releases:    

Description

Hello Guys,

I have a little Problem with importing puppet Environments in Foreman.

I use:

Foreman 1.7.1  : Hostname test-dash

Puppet  3.6.1  : Hostname test-puppet

Foreman and puppet are on different Systems.

I have configured  a smartproxy on Foreman and wanted to import my Environments or classes from puppet (Import from ...)

I get the message -> No changes to your environments detected

I use directory-environments on puppet.

I have followed the Installation manuel from theforeman.org.

Therefore puppet and Foreman are on different Systems

i have generate a certificate for foreman  how described in the manuels.

You can the in the Proxy.log(to find in attachment) Foreman can see my Environments (env1,env2 and env3)

but my classes and Environments will not be imported. I cant see a error message.

And yes in my Environments  i have 2 classes imported powershell  and a registry class and

puppet Parser validate cant find a issue.

You can find my

puppet.conf

proxy.log

Settings.yml

puppet.yml

in Attachment (anonymized)

Can anybody please help me :)

Best regards

Taner

Related issues:

Related to Smart Proxy - Support #17462: failed to import classes Resolved 11/23/2016

History

#1 - 01/23/2015 09:41 AM - Dominic Cleal

- Status changed from New to Feedback
Can you link to the modules you have installed?  Also output if "find /etc/puppet/environments/production" would be useful.

#2 - 01/24/2015 08:32 AM - Taner Tasar

Hi Dominic,

thanks for your reply. For test purposes i had installed the puppetlabs/ntp

module under production and my other environments. Below you can see the output.

Unfortunately i cant see a error message under proxy.log.

It seems all is ok. I can see my environments can be found from foreman (/var/log/foreman-proxy/proxy.log) but the classes and environments will not

be imported.

I touch under my environments the file environment.conf (even though the file is optionally for puppet)

I use directory environments (puppet.conf  environmentpath=$confdir/environments)

I can see with the commands

puppet config print | grep module

and

puppet config print | grep manifest

show me the right folders from my modules and manifests.

The same problem i have too in my puppetlab environment at home.

The same error and issue. With directory environments i cant get

my classes.

But if i installed foreman and puppet on the same machine without directory

environments but with configdir environments and a older version off puppet

i can perfectly import my classe :(

I dont know what do i wrong. Gives anybody that have the same issue ?.

Maybe like me with foreman and puppet on different machines and directory environmets.

If i try use the command

puppet parser validate -> no errors are shown.

If puppet and foreman on differnt machines and with directory environments what is to consider?

My environments will be founded from foreman what i can see in the foreman-proxylogs.

Any ideas ?

Thank you for you help

Best regards

Taner Tasar

root@test-puppet:/etc/puppet# find /etc/puppet/environments/production.

/etc/puppet/environments/production

/etc/puppet/environments/production/modules

/etc/puppet/environments/production/modules/ntp

/etc/puppet/environments/production/modules/ntp/CONTRIBUTING.md

/etc/puppet/environments/production/modules/ntp/templates

/etc/puppet/environments/production/modules/ntp/templates/ntp.conf.erb

/etc/puppet/environments/production/modules/ntp/Gemfile

/etc/puppet/environments/production/modules/ntp/checksums.json

/etc/puppet/environments/production/modules/ntp/Rakefile

/etc/puppet/environments/production/modules/ntp/README.markdown

/etc/puppet/environments/production/modules/ntp/metadata.json

/etc/puppet/environments/production/modules/ntp/spec

/etc/puppet/environments/production/modules/ntp/spec/acceptance

/etc/puppet/environments/production/modules/ntp/spec/acceptance/ntp_parameters_spec.rb

/etc/puppet/environments/production/modules/ntp/spec/acceptance/preferred_servers_spec.rb

/etc/puppet/environments/production/modules/ntp/spec/acceptance/ntp_install_spec.rb

/etc/puppet/environments/production/modules/ntp/spec/acceptance/nodesets

/etc/puppet/environments/production/modules/ntp/spec/acceptance/nodesets/fedora-18-x64.yml

/etc/puppet/environments/production/modules/ntp/spec/acceptance/nodesets/centos-64-x64-pe.yml

/etc/puppet/environments/production/modules/ntp/spec/acceptance/nodesets/sles-12-64.yml

/etc/puppet/environments/production/modules/ntp/spec/acceptance/nodesets/ubuntu-server-10044-x64.yml

/etc/puppet/environments/production/modules/ntp/spec/acceptance/nodesets/default.yml

/etc/puppet/environments/production/modules/ntp/spec/acceptance/nodesets/centos-64-x64.yml

/etc/puppet/environments/production/modules/ntp/spec/acceptance/nodesets/ubuntu-server-1404-x64.yml

/etc/puppet/environments/production/modules/ntp/spec/acceptance/nodesets/centos-59-x64.yml

/etc/puppet/environments/production/modules/ntp/spec/acceptance/nodesets/ubuntu-server-14042-x64.yml

/etc/puppet/environments/production/modules/ntp/spec/acceptance/nodesets/ubuntu-server-12042-x64.yml
/etc/puppet/environments/production/modules/ntp/spec/acceptance/nodesets/centos-65-x64.yml

/etc/puppet/environments/production/modules/ntp/spec/acceptance/nodesets/sles-11-x64.yml

/etc/puppet/environments/production/modules/ntp/spec/acceptance/unsupported_spec.rb

/etc/puppet/environments/production/modules/ntp/spec/acceptance/ntp_config_spec.rb

/etc/puppet/environments/production/modules/ntp/spec/acceptance/restrict_spec.rb

/etc/puppet/environments/production/modules/ntp/spec/acceptance/disable_monitoring_spec.rb

/etc/puppet/environments/production/modules/ntp/spec/acceptance/class_spec.rb

/etc/puppet/environments/production/modules/ntp/spec/acceptance/ntp_service_spec.rb

/etc/puppet/environments/production/modules/ntp/spec/classes

/etc/puppet/environments/production/modules/ntp/spec/classes/ntp_spec.rb

/etc/puppet/environments/production/modules/ntp/spec/spec_helper_acceptance.rb

/etc/puppet/environments/production/modules/ntp/spec/spec.opts

/etc/puppet/environments/production/modules/ntp/spec/unit

/etc/puppet/environments/production/modules/ntp/spec/unit/puppet

/etc/puppet/environments/production/modules/ntp/spec/unit/puppet/provider

/etc/puppet/environments/production/modules/ntp/spec/unit/puppet/provider/README.markdown

/etc/puppet/environments/production/modules/ntp/spec/unit/puppet/type

/etc/puppet/environments/production/modules/ntp/spec/unit/puppet/type/README.markdown

/etc/puppet/environments/production/modules/ntp/spec/spec_helper.rb

/etc/puppet/environments/production/modules/ntp/LICENSE

/etc/puppet/environments/production/modules/ntp/tests

/etc/puppet/environments/production/modules/ntp/tests/init.pp

/etc/puppet/environments/production/modules/ntp/CHANGELOG.md

/etc/puppet/environments/production/modules/ntp/lib

/etc/puppet/environments/production/modules/ntp/lib/puppet

/etc/puppet/environments/production/modules/ntp/lib/puppet/parser

/etc/puppet/environments/production/modules/ntp/lib/puppet/parser/functions

/etc/puppet/environments/production/modules/ntp/lib/puppet/parser/functions/ntp_dirname.rb

/etc/puppet/environments/production/modules/ntp/manifests

/etc/puppet/environments/production/modules/ntp/manifests/service.pp

/etc/puppet/environments/production/modules/ntp/manifests/install.pp

/etc/puppet/environments/production/modules/ntp/manifests/params.pp

/etc/puppet/environments/production/modules/ntp/manifests/config.pp

/etc/puppet/environments/production/modules/ntp/manifests/init.pp

/etc/puppet/environments/production/modules/stdlib

/etc/puppet/environments/production/modules/stdlib/CONTRIBUTING.md

/etc/puppet/environments/production/modules/stdlib/README_DEVELOPER.markdown

/etc/puppet/environments/production/modules/stdlib/Gemfile

/etc/puppet/environments/production/modules/stdlib/checksums.json

/etc/puppet/environments/production/modules/stdlib/Rakefile

/etc/puppet/environments/production/modules/stdlib/README.markdown

/etc/puppet/environments/production/modules/stdlib/metadata.json

/etc/puppet/environments/production/modules/stdlib/spec

/etc/puppet/environments/production/modules/stdlib/spec/acceptance

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/abs_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/dirname_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/str2bool_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/ensure_resource_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/join_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/uriescape_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/size_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/union_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/keys_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/swapcase_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/get_module_path_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/flatten_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/floor_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/is_domain_name_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/prefix_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/is_string_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/max_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/loadyaml_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/validate_array_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/hash_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/validate_string_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/values_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/unique_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/ensure_packages_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/rstrip_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/chomp_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/shuffle_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/defined_with_params_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/sort_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/values_at_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/difference_spec.rb

05/20/2024 3/9



/etc/puppet/environments/production/modules/stdlib/spec/acceptance/has_key_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/validate_slength_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/validate_hash_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/validate_augeas_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/member_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/range_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/is_function_available_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/getvar_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/suffix_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/validate_absolute_path_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/to_bytes_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/min_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/validate_re_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/grep_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/has_ip_network_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/delete_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/fqdn_rotate_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/parseyaml_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/empty_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/num2bool_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/count_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/getparam_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/lstrip_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/is_array_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/is_numeric_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/base64_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/capitalize_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/nodesets

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/nodesets/fedora-18-x64.yml

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/nodesets/windows-2008-x86_64.yml

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/nodesets/windows-2008r2-x86_64.yml

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/nodesets/centos-64-x64-pe.yml

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/nodesets/ubuntu-server-10044-x64.yml

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/nodesets/default.yml

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/nodesets/windows-2003-i386.yml

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/nodesets/windows-2012r2-x86_64.yml

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/nodesets/centos-64-x64.yml

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/nodesets/ubuntu-server-1404-x64.yml

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/nodesets/windows-2003-x86_64.yml

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/nodesets/centos-59-x64.yml

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/nodesets/ubuntu-server-12042-x64.yml

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/nodesets/centos-65-x64.yml

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/nodesets/windows-2012-x86_64.yml

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/nodesets/centos-6-vcloud.yml

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/nodesets/sles-11-x64.yml

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/delete_undef_values_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/is_bool_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/any2array_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/reverse_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/is_mac_address_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/delete_at_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/is_float_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/bool2num_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/is_integer_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/reject_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/upcase_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/pick_default_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/strip_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/unsupported_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/type_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/validate_cmd_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/validate_ipv6_address_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/pick_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/has_interface_with_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/intersection_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/chop_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/deep_merge_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/time_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/join_keys_to_values_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/concat_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/validate_bool_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/downcase_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/is_hash_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/merge_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/zip_spec.rb

05/20/2024 4/9



/etc/puppet/environments/production/modules/stdlib/spec/acceptance/has_ip_address_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/validate_ipv4_address_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/squeeze_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/delete_values_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/str2saltedsha512_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/is_ip_address_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/strftime_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/parsejson_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/acceptance/build_csv.rb

/etc/puppet/environments/production/modules/stdlib/spec/classes

/etc/puppet/environments/production/modules/stdlib/spec/classes/anchor_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/spec_helper_acceptance.rb

/etc/puppet/environments/production/modules/stdlib/spec/monkey_patches

/etc/puppet/environments/production/modules/stdlib/spec/monkey_patches/publicize_methods.rb

/etc/puppet/environments/production/modules/stdlib/spec/monkey_patches/alias_should_to_must.rb

/etc/puppet/environments/production/modules/stdlib/spec/spec.opts

/etc/puppet/environments/production/modules/stdlib/spec/unit

/etc/puppet/environments/production/modules/stdlib/spec/unit/puppet

/etc/puppet/environments/production/modules/stdlib/spec/unit/puppet/parser

/etc/puppet/environments/production/modules/stdlib/spec/unit/puppet/parser/functions

/etc/puppet/environments/production/modules/stdlib/spec/unit/puppet/parser/functions/camelcase_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/unit/puppet/parser/functions/bool2str_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/unit/puppet/provider

/etc/puppet/environments/production/modules/stdlib/spec/unit/puppet/provider/file_line

/etc/puppet/environments/production/modules/stdlib/spec/unit/puppet/provider/file_line/ruby_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/unit/puppet/type

/etc/puppet/environments/production/modules/stdlib/spec/unit/puppet/type/file_line_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/unit/puppet/type/anchor_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/unit/facter

/etc/puppet/environments/production/modules/stdlib/spec/unit/facter/facter_dot_d_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/unit/facter/util

/etc/puppet/environments/production/modules/stdlib/spec/unit/facter/util/puppet_settings_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/unit/facter/root_home_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/unit/facter/pe_version_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions

/etc/puppet/environments/production/modules/stdlib/spec/functions/abs_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/dirname_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/str2bool_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/ensure_resource_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/join_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/uriescape_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/size_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/union_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/keys_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/swapcase_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/get_module_path_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/flatten_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/floor_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/is_domain_name_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/prefix_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/is_string_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/max_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/loadyaml_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/validate_array_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/hash_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/validate_string_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/values_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/unique_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/ensure_packages_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/rstrip_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/chomp_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/shuffle_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/defined_with_params_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/sort_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/values_at_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/difference_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/has_key_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/validate_slength_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/validate_hash_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/validate_augeas_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/member_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/range_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/getvar_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/suffix_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/validate_absolute_path_spec.rb
/etc/puppet/environments/production/modules/stdlib/spec/functions/to_bytes_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/min_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/validate_re_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/grep_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/has_ip_network_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/delete_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/fqdn_rotate_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/parseyaml_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/empty_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/is_function_available.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/num2bool_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/count_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/getparam_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/lstrip_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/is_array_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/is_numeric_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/base64_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/capitalize_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/delete_undef_values_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/is_bool_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/any2array_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/reverse_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/is_mac_address_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/delete_at_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/is_float_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/bool2num_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/is_integer_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/reject_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/upcase_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/pick_default_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/strip_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/type_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/validate_cmd_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/validate_ipv6_address_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/pick_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/has_interface_with_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/intersection_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/chop_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/deep_merge_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/private_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/time_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/join_keys_to_values_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/concat_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/validate_bool_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/downcase_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/is_hash_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/merge_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/zip_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/has_ip_address_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/validate_ipv4_address_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/squeeze_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/delete_values_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/str2saltedsha512_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/is_ip_address_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/strftime_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/functions/parsejson_spec.rb

/etc/puppet/environments/production/modules/stdlib/spec/spec_helper.rb

/etc/puppet/environments/production/modules/stdlib/spec/lib

/etc/puppet/environments/production/modules/stdlib/spec/lib/puppet_spec

/etc/puppet/environments/production/modules/stdlib/spec/lib/puppet_spec/matchers.rb

/etc/puppet/environments/production/modules/stdlib/spec/lib/puppet_spec/modules.rb

/etc/puppet/environments/production/modules/stdlib/spec/lib/puppet_spec/scope.rb

/etc/puppet/environments/production/modules/stdlib/spec/lib/puppet_spec/pops.rb

/etc/puppet/environments/production/modules/stdlib/spec/lib/puppet_spec/verbose.rb

/etc/puppet/environments/production/modules/stdlib/spec/lib/puppet_spec/database.rb

/etc/puppet/environments/production/modules/stdlib/spec/lib/puppet_spec/files.rb

/etc/puppet/environments/production/modules/stdlib/spec/lib/puppet_spec/settings.rb

/etc/puppet/environments/production/modules/stdlib/spec/lib/puppet_spec/compiler.rb

/etc/puppet/environments/production/modules/stdlib/spec/lib/puppet_spec/fixtures.rb

/etc/puppet/environments/production/modules/stdlib/LICENSE

/etc/puppet/environments/production/modules/stdlib/tests

/etc/puppet/environments/production/modules/stdlib/tests/file_line.pp

/etc/puppet/environments/production/modules/stdlib/tests/has_ip_network.pp

/etc/puppet/environments/production/modules/stdlib/tests/has_interface_with.pp

/etc/puppet/environments/production/modules/stdlib/tests/has_ip_address.pp
/etc/puppet/environments/production/modules/stdlib/tests/init.pp

/etc/puppet/environments/production/modules/stdlib/README_SPECS.markdown

/etc/puppet/environments/production/modules/stdlib/RELEASE_PROCESS.markdown

/etc/puppet/environments/production/modules/stdlib/CHANGELOG.md

/etc/puppet/environments/production/modules/stdlib/lib

/etc/puppet/environments/production/modules/stdlib/lib/puppet

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/to_bytes.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/str2saltedsha512.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/reject.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/delete.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/zip.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/strip.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/getvar.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/suffix.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/pick_default.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/getparam.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/intersection.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/concat.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/parsejson.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/is_bool.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/difference.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/validate_cmd.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/dirname.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/min.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/swapcase.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/camelcase.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/has_key.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/validate_hash.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/is_numeric.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/loadyaml.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/floor.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/is_string.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/validate_array.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/count.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/validate_absolute_path.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/capitalize.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/sort.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/defined_with_params.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/squeeze.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/member.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/values.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/num2bool.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/validate_slength.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/ensure_packages.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/downcase.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/shuffle.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/validate_augeas.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/str2bool.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/strftime.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/validate_string.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/pick.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/grep.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/is_function_available.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/has_ip_address.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/prefix.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/hash.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/parseyaml.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/has_interface_with.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/empty.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/validate_re.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/bool2str.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/join_keys_to_values.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/keys.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/delete_at.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/abs.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/max.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/is_hash.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/get_module_path.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/is_ip_address.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/upcase.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/any2array.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/base64.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/validate_ipv6_address.rb
/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/is_array.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/type.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/ensure_resource.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/rstrip.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/bool2num.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/join.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/is_float.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/chop.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/is_domain_name.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/size.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/reverse.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/delete_undef_values.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/deep_merge.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/chomp.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/private.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/time.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/is_integer.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/values_at.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/validate_bool.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/lstrip.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/validate_ipv4_address.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/unique.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/range.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/delete_values.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/flatten.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/is_mac_address.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/has_ip_network.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/union.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/fqdn_rotate.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/uriescape.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/parser/functions/merge.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/provider

/etc/puppet/environments/production/modules/stdlib/lib/puppet/provider/file_line

/etc/puppet/environments/production/modules/stdlib/lib/puppet/provider/file_line/ruby.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/type

/etc/puppet/environments/production/modules/stdlib/lib/puppet/type/anchor.rb

/etc/puppet/environments/production/modules/stdlib/lib/puppet/type/file_line.rb

/etc/puppet/environments/production/modules/stdlib/lib/facter

/etc/puppet/environments/production/modules/stdlib/lib/facter/util

/etc/puppet/environments/production/modules/stdlib/lib/facter/util/puppet_settings.rb

/etc/puppet/environments/production/modules/stdlib/lib/facter/root_home.rb

/etc/puppet/environments/production/modules/stdlib/lib/facter/puppet_vardir.rb

/etc/puppet/environments/production/modules/stdlib/lib/facter/pe_version.rb

/etc/puppet/environments/production/modules/stdlib/lib/facter/facter_dot_d.rb

/etc/puppet/environments/production/modules/stdlib/manifests

/etc/puppet/environments/production/modules/stdlib/manifests/stages.pp

/etc/puppet/environments/production/modules/stdlib/manifests/init.pp

/etc/puppet/environments/production/environment.conf

/etc/puppet/environments/production/manifests

root@test-puppet:/etc/puppet#

#3 - 01/24/2015 06:46 PM - Taner Tasar

Hello Guys,

after a few troubleshooting i have new messages.

I changed my foreman-proxy to only http but the solution

is the same. Issues are kept.

If i try

curl http://puppet-client:8000/puppet/environments

["home","production"]

i see my Environments. But if i try

curl http://foreman:8443/puppet/environments/development/classes

[]

i dont receive my classes

Please consider i have foreman and puppet on different machines and directory environments.

For me its look like a Bug.

Foreman 1.7.1
Puppet 3.6.1

Best regards

Taner Tasar

#4 - 01/26/2015 04:49 AM - Dominic Cleal

Taner Tasar wrote:

If i try

curl http://puppet-client:8000/puppet/environments

["home","production"]

i see my Environments. But if i try

curl http://foreman:8443/puppet/environments/development/classes

[]

i dont receive my classes

 You're requesting classes in development, but it only listed "home" and "production".  Could you try 

http://foreman:8443/puppet/environments/production/classes ?

#5 - 01/26/2015 02:55 PM - Taner Tasar

Hi Dominic,

sorry my mistake (wrong copy and paste).Off course i used the link

curl http://puppet-client:8000/puppet/environments/production/classes

[]

and i dont receive my classes. Today i installed

Ubuntu 14.04

Puppet 3.7.3

Foreman 1.7.1

and now is all good. I can import my environments and classes.

Finally i had to use never version off puppet.

I dont understand why i didnt get my classes with puppet 3.6.1

and foreman 1.7.1.

For me is not so good that i have to use puppet version 3.7.3 because

in the  repositories off ubuntu 14.04 u can only find the version

3.6.1. But i think i use the version puppet 3.7.3 further.

Thank you for your good efforts and helping Dominic and thank you

to the foreman community.

I think this Ticket can closed.

Best regards

Taner

#6 - 01/27/2015 03:53 AM - Dominic Cleal

- Status changed from Feedback to Resolved

Puzzling, I can't think why that would be!  Maybe it replaced some config files which worked better.  Anyway, glad you got it working.

#7 - 11/23/2016 07:26 AM - Slagian Momirovici

- Related to Support #17462: failed to import classes added

Files

proxy.log 4.11 KB 01/23/2015 Taner Tasar

puppet.conf 741 Bytes 01/23/2015 Taner Tasar

puppet.yml 1.9 KB 01/23/2015 Taner Tasar

settings.yml 1.68 KB 01/23/2015 Taner Tasar
